Bug 33492 - [Chromium] Move getSessionStorageNamespace from WebKitClient to WebViewClient
Summary: [Chromium] Move getSessionStorageNamespace from WebKitClient to WebViewClient
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Jeremy Orlow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-11 14:13 PST by Jeremy Orlow
Modified: 2010-01-13 15:39 PST (History)
1 user (show)

See Also:


Attachments
Patch (7.24 KB, patch)
2010-01-11 14:14 PST, Jeremy Orlow
no flags Details | Formatted Diff | Diff
Patch (7.21 KB, patch)
2010-01-11 15:58 PST, Jeremy Orlow
fishd: review+
fishd: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Orlow 2010-01-11 14:13:35 PST
[Chromium] Move getSessionStorageNamespace from WebKitClient to WebViewClient
Comment 1 Jeremy Orlow 2010-01-11 14:14:27 PST
Created attachment 46308 [details]
Patch
Comment 2 Darin Fisher (:fishd, Google) 2010-01-11 15:33:25 PST
Comment on attachment 46308 [details]
Patch

> Index: WebCore/ChangeLog
...
> +        No new tests. (OOPS!)

^^^ need to delete this line

> Index: WebKit/chromium/public/WebKitClient.h
...
> +    // THIS IS DEPRICATED.  WebViewClient::getSessionStorageNamespace() is the new way to access this.

^^^ deprecated


> Index: WebKit/chromium/public/WebViewClient.h

> +    // Session Storage ------------------------------------------------------
> +
> +    // Get the session storage namespace associated with this WebView.
> +    virtual WebStorageNamespace* getSessionStorageNamespace() { return 0; }

why isn't this called createSessionStorageNamespace?  if the embedder owns the returned
pointer, then you should just call this sessionStorageNamespace.
Comment 3 Jeremy Orlow 2010-01-11 15:58:11 PST
Created attachment 46315 [details]
Patch
Comment 4 Darin Fisher (:fishd, Google) 2010-01-11 23:47:55 PST
Comment on attachment 46315 [details]
Patch

> Index: WebKit/chromium/public/WebViewClient.h
...
> +    // Get the session storage namespace associated with this WebView.
> +    virtual WebStorageNamespace* createSessionStorageNamespace() { return 0; }

Fix the comment to say "Create a..."

Also, please move this up into the factory section of WebViewClient.

R=me, but please fix these before committing.
Comment 5 Eric Seidel (no email) 2010-01-12 04:05:30 PST
Attachment 46315 [details] was posted by a committer and has review+, assigning to Jeremy Orlow for commit.
Comment 6 Jeremy Orlow 2010-01-12 22:51:48 PST
Committed r53180: <http://trac.webkit.org/changeset/53180>
Comment 7 Jeremy Orlow 2010-01-13 11:22:24 PST
Re-opening as my previous patch had to be reverted.
Comment 8 Jeremy Orlow 2010-01-13 14:51:24 PST
Problem fixed upstream.  Will re-land the r+'ed patch.
Comment 9 Jeremy Orlow 2010-01-13 15:39:13 PST
Committed r53210: <http://trac.webkit.org/changeset/53210>